Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

All other Modules /

Discuss all other Modules here.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Module Installation Problems


Reply


4 Posts   1057 Views

Avatar
BruceG

Community Member, 29 Posts

29 July 2009 at 12:09am

I've installed ss2.3.2 on webdrive and all appears to be working as it should be.
However, when trying to install modules I have come up against either errors or simply nothing at all, mostly errors like

Warning: file_exists() [function.file-exists]: open_basedir restriction in effect. File(/tmp/silverstripe-cache-home-httpd-vhlinks-www.afsm.org.nz/manifestClassParse-_home_afsmanawatu_afsm.org.nz_sapphire_core_model_DataObject.php) is not within the allowed path(s): (/tmp:/usr/local/lib/php:/usr/local/apache/phpinc/:/home/afsmanawatu/afsm.org.nz/) in /home/afsmanawatu/afsm.org.nz/sapphire/core/ManifestBuilder.php on line 390

afsm.org.nz is a temporary but live site that I and another guy will be developing over a period of time.
Once completed to our satisfaction it will be moved to the proper domain name.

any ideas what may be going wrong with module installs?

Cheers Bruce

Avatar
BruceG

Community Member, 29 Posts

29 July 2009 at 10:50pm

OK so I've managed to install some modules now although not all have worked.
sucessfully installed
UserForms
Ebargoexpiry

Unsucessfully installed and removed
Newsletter
Event Calendar (I've resorted to embedding a Google Calendar instead)(Not the preferred option)

Haven't yet attempted the Blog or Forum modules

Would really like to get the Newsletter Module installed and working correctly as this is a key part of the site for us.

Any Help or Ideas would be gratefully accepted.

Cheers
Bruce

Avatar
Bruce B

Community Member, 147 Posts

13 August 2009 at 6:55pm

BruceG,
I'm just setting up a site with Userforms, Blog, and Newsletter, plus the spam modules, of course. I've just installed the Newsletter and a couple of bugs still need squashing, but everything else seems OK.

I'm using the latest trunk for the newsletter, userforms 0.2.0 and blog 0.2.1 (with minor mods to get archives and search working.)

Newsletter needs the latest userforms to work.

Could your errors be some weird permissions or host configuration issue?

Avatar
BruceG

Community Member, 29 Posts

13 August 2009 at 10:42pm

Thanks for your response

Since that post of mine I went back and did a fresh install of SS ver 2.3.3 and it seems to be working better now.
So far I've added embargo/expiry, forms and forums. I'll have to check which 'forms' I loaded and make sure I have the latest release. 0.2 I think. Then I'll add newsletter mod and see what happens then.
Did you get the newsletter registration working properly?
It wasn't when I last tried to use it.

Cheers
BruceG